# PIP: PIEthernet::InterfaceList Class Reference

PIEthernet::InterfaceList Class Reference

Array of Interface with some features. More...

Inheritance diagram for PIEthernet::InterfaceList:
[legend]

## Public Member Functions

const Interface * | getByIndex (int index) const
| Get interface with system index "index" or 0 if there is no one.
const Interface * | getByName (const PIString &name) const
| Get interface with system name "name" or 0 if there is no one.
const Interface * | getByAddress (const PIString &address) const
| Get interface with IP address "address" or 0 if there is no one.
const Interface * | getLoopback () const
| Get loopback interface or 0 if there is no one.

## Detailed Description

Array of Interface with some features.